「IAcSmViewCategories」の版間の差分
(ページの作成:「{{BCAD_LISP}} シートビューカテゴリーのインターフェイス。 使用可能なメソッド (setq cad (vlax-get-acad-object)) (setq doc (vla-get-Active…」) |
編集の要約なし |
||
37行目: | 37行目: | ||
|- | |- | ||
|} | |} | ||
----- | |||
関連記事 | |||
* [[シートセット関数-BricsCAD]] |
2022年8月8日 (月) 08:06時点における最新版
シートビューカテゴリーのインターフェイス。
使用可能なメソッド
(setq cad (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument cad)) (setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr")) (setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile)) (setq sheetset (vlax-invoke-method smdb 'GetSheetSet)) (setq viewCats (vlax-invoke-method sheetset 'GetViewCategories))
項目 | 内容 |
---|---|
GetEnumerator | returns an enumerator for the IAcSmViewCategory components in this collection
(setq iter (vlax-invoke-method viewCats 'GetEnumerator)) HRESULT GetEnumerator ([out, retval] IAcSmEnumViewCategory** enumerator) |
CreateViewCategory | creates a new IAcSmViewCategory component; the new component is NOT added to this collection
(setq viewcat (vlax-invoke-method viewCats 'CreateViewCategory "NewViewCategory" "test category" "99")) HRESULT CreateViewCategory ([in] BSTR name, [in] BSTR description, [in] BSTR id, [out, retval] IAcSmViewCategory** viewCat) |
RemoveViewCategory | removes the specified IAcSmViewCategory component from this collection
(setq res (vlax-invoke-method viewCats 'RemoveViewCategory viewcat)) HRESULT RemoveViewCategory ([in] IAcSmViewCategory* viewCat) |
GetDefaultViewCategory | returns the 'default' IAcSmViewCategory component of this collection
(setq viewcat (vlax-invoke-method viewCats 'GetDefaultViewCategory)) HRESULT GetDefaultViewCategory ([out, retval] IAcSmViewCategory** ppItem) |
関連記事